@rem ######################################################################
@rem # This file runs the Installation Verification Procedure (IVP).
@rem # You should run kxmivcfg.bat before running this command.
@rem #
@rem # Copyright 1999-2002, Candle Corporation, a California
@rem # corporation.  All rights reserved. International copyright secured.
@rem #
@rem # This material is proprietary to Candle Corporation and is not to be
@rem # reproduced, used, or disclosed except in accordance with program
@rem # licenses or upon written authorization of Candle Corporation.
@rem #
@rem # $Id: kxmivrun.bat,v 1.30 2004/09/23 19:50:57 e_vvb Exp $
@rem # $Source: /romacvs/root/roma/src/kxm/kxmivp/kxmivrun.bat,v $
@rem #######################################################################

@echo off
setlocal

set KXMDUMMY=%KXCDIR%
if Z%2 == Z goto badusage

set HOST=%1
set PORT=%2

@rem Make IVP namespace current
set KXCDIR=ldap://%HOST%:%PORT%/cn=CandleSamples.Conversion.ILS,dc=Context,dc=Roma,|PARTITION|
set FINDUTIL=%windir%\system32\find.exe

@rem delay in milliseconds between server and client start, this delay should be enough
@rem to let server create input queue
set START_DELAY=10000
    
@rem  delay in milliseconds to wait request or response
set MSG_DELAY=60000    

@rem Test XML Routing and Conversion ILS
echo --- Testing Routing and Conversion ILS
@rem del kxmiv.rsp >nul
kxmtest -gq -e KxmIvpElem -o >nul
start /B kxmtest -w %MSG_DELAY% -l 1 -gq -pr -e KxmIvpElem 2> kxmiv5.err
kxmtest -w %START_DELAY% -gr -c KxmIvpClient -o >nul
kxmtest -w %MSG_DELAY% -i kxmivxmg.dat -pq -gr -c KxmIvpClient -s KxmIvpService -p >kxmiv.rsp
%FINDUTIL% /C "Client+Server+Client" kxmiv.rsp >nul
if errorlevel 1 goto BadRoutingIls

@rem Test XML put ILS
echo --- Testing XML put ILS
@rem del kxmiv.rsp >nul
kxmtest -gq -e KxmIvpElemRaw -o >nul
start /B kxmtest -w %MSG_DELAY% -l 1 -gq -pr -e KxmIvpElemRaw 2> kxmiv1.err
kxmtest -w %START_DELAY% -gr -c KxmIvpClientXml -o >nul
kxmtest -w %MSG_DELAY% -i kxmivxml.dat -pq -gr -c KxmIvpClientXml -s KxmIvpServiceRaw -p >kxmiv.rsp
%FINDUTIL% /C "rawdata1" kxmiv.rsp >nul
if errorlevel 1 goto BadPutXmlIls

@rem Test Raw put ILS
echo --- Testing Raw put ILS
del kxmiv.rsp
kxmtest -gq -e KxmIvpElemXml -o >nul
start /B kxmtest -w %MSG_DELAY% -l 1 -gq -pr -e KxmIvpElemXml 2> kxmiv2.err
kxmtest -w %START_DELAY% -gr -c KxmIvpClientRaw -o >nul
kxmtest -w %MSG_DELAY% -i kxmivraw.dat -pq -gr -c KxmIvpClientRaw -s KxmIvpServiceXml -p >kxmiv.rsp
%FINDUTIL% /C "xmldata1" kxmiv.rsp >nul
if errorlevel 1 goto BadPutRawIls

@rem Test XML get ILS
echo --- Testing XML get ILS
kxmtest -gq -e KxmIvpElemRaw -o >nul
start /B kxmtest -w %MSG_DELAY% -gq -pr -l 1 -e KxmIvpElemRaw 2> kxmiv3.err
kxmtest -w %START_DELAY% -gr -c KxmIvpClientRaw -o >nul
kxmtest -w %MSG_DELAY% -i kxmivxml.dat -pq -gr -c KxmIvpClientRaw -s KxmIvpServiceRaw -p >kxmiv.rsp
%FINDUTIL% /C "rawdata1" kxmiv.rsp >nul
if errorlevel 1 goto BadGetXmlIls

@rem Test Raw get ILS
echo --- Testing Raw get ILS
kxmtest -gq -e KxmIvpElemXml -o >nul
start /B kxmtest -w %MSG_DELAY% -gq -pr -l 1 -e KxmIvpElemXml 2> kxmiv4.err
kxmtest -w %START_DELAY% -gr -c KxmIvpClientXml -o >nul
kxmtest -w %MSG_DELAY% -i kxmivraw.dat -pq -gr -c KxmIvpClientXml -s KxmIvpServiceXml -p >kxmiv.rsp
%FINDUTIL% /C "xmldata1" kxmiv.rsp >nul
if errorlevel 1 goto BadGetRawIls

@rem Run C Sample
echo --- Testing Helper Functions
del kxmiv.rsp
"%CANDLE_CASP_HOME%\toolkit\samples\mh\bin\kxmschfp" kxmivsmp.dat >kxmiv.rsp
if errorlevel 1 goto BadCSample
%FINDUTIL% /C "field[0]:String(XmlElement)=10" kxmiv.rsp >nul
if errorlevel 1 goto BadCSample

@rem SUCCESS
del kxmiv.rsp
echo ">>>>> IVP Finished Succesfully <<<<<<<<<<<"
goto exit

:BadGetXmlIls
echo XML Get ILS Test Failed
goto exit

:BadPutXmlIls
echo XML Put ILS Test Failed
goto exit

:BadGetRawIls
echo Raw Get ILS Test Failed
goto exit

:BadPutRawIls
echo Raw Put ILS Test Failed
goto exit

:BadCSample
echo C Helper Functions Test Failed
goto exit

:BadRoutingIls
echo Routing/Conversion ILS Test Failed
goto exit

:BadUsage
echo Usage: kxmivrun.bat hostname port

:exit
set KXCDIR=%KXMDUMMY%
endlocal
